# Uses of Enum Class
javafx.scene.DepthTest

Packages that use DepthTest
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of DepthTest in javafx.scene

Methods in javafx.scene that return DepthTest
Modifier and Type
Method
Description
`final DepthTest`
Node.`getDepthTest()`
Gets the value of the `depthTest` property.
`static DepthTest`
DepthTest.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DepthTest[]`
DepthTest.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene that return types with arguments of type DepthTest
Modifier and Type
Method
Description
`final ObjectProperty<DepthTest>`
Node.`depthTestProperty()`
Indicates whether depth testing is used when rendering this node.
Methods in javafx.scene with parameters of type DepthTest
Modifier and Type
Method
Description
`final void`
Node.`setDepthTest(DepthTest value)`
Sets the value of the `depthTest` property.